# IRremoteESP8266: src/ir_Nikai.cpp File Reference

ir_Nikai.cpp File Reference

Nikai. More...

## Variables

const uint16_t | kNikaiTick = 500
const uint16_t | kNikaiHdrMarkTicks = 8
const uint16_t | kNikaiHdrMark = kNikaiHdrMarkTicks * kNikaiTick
const uint16_t | kNikaiHdrSpaceTicks = 8
const uint16_t | kNikaiHdrSpace = kNikaiHdrSpaceTicks * kNikaiTick
const uint16_t | kNikaiBitMarkTicks = 1
const uint16_t | kNikaiBitMark = kNikaiBitMarkTicks * kNikaiTick
const uint16_t | kNikaiOneSpaceTicks = 2
const uint16_t | kNikaiOneSpace = kNikaiOneSpaceTicks * kNikaiTick
const uint16_t | kNikaiZeroSpaceTicks = 4
const uint16_t | kNikaiZeroSpace = kNikaiZeroSpaceTicks * kNikaiTick
const uint16_t | kNikaiMinGapTicks = 17
const uint16_t | kNikaiMinGap = kNikaiMinGapTicks * kNikaiTick

## Detailed Description

Nikai.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/309

## Variable Documentation

## kNikaiBitMark

const uint16_t kNikaiBitMark = kNikaiBitMarkTicks * kNikaiTick

## kNikaiBitMarkTicks

const uint16_t kNikaiBitMarkTicks = 1

## kNikaiHdrMark

const uint16_t kNikaiHdrMark = kNikaiHdrMarkTicks * kNikaiTick

## kNikaiHdrMarkTicks

const uint16_t kNikaiHdrMarkTicks = 8

## kNikaiHdrSpace

const uint16_t kNikaiHdrSpace = kNikaiHdrSpaceTicks * kNikaiTick

## kNikaiHdrSpaceTicks

const uint16_t kNikaiHdrSpaceTicks = 8

## kNikaiMinGap

const uint16_t kNikaiMinGap = kNikaiMinGapTicks * kNikaiTick

## kNikaiMinGapTicks

const uint16_t kNikaiMinGapTicks = 17

## kNikaiOneSpace

const uint16_t kNikaiOneSpace = kNikaiOneSpaceTicks * kNikaiTick

## kNikaiOneSpaceTicks

const uint16_t kNikaiOneSpaceTicks = 2

## kNikaiTick

const uint16_t kNikaiTick = 500

## kNikaiZeroSpace

const uint16_t kNikaiZeroSpace = kNikaiZeroSpaceTicks * kNikaiTick

## kNikaiZeroSpaceTicks

const uint16_t kNikaiZeroSpaceTicks = 4